FLTK 1.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- File List
- File Members

Classes | Enumerations
Fl_Image.H File Reference

Fl_Image, Fl_RGB_Image classes. More...

`#include "Enumerations.H"`
`#include <stdlib.h>`

Go to the source code of this file.

## Classes
class | Fl_Image
| Fl_Image is the base class used for caching and drawing all kinds of images in FLTK. More...
class | Fl_RGB_Image
| The Fl_RGB_Image class supports caching and drawing of full-color images with 1 to 4 channels of color information. More...

## Enumerations
enum | Fl_RGB_Scaling { FL_RGB_SCALING_NEAREST = 0, FL_RGB_SCALING_BILINEAR }
| The scaling algorithm to use for RGB images. More...

## Detailed Description

Fl_Image, Fl_RGB_Image classes.

## Enumeration Type Documentation

enum Fl_RGB_Scaling

The scaling algorithm to use for RGB images.

Enumerator
FL_RGB_SCALING_NEAREST | default RGB image scaling algorithm
FL_RGB_SCALING_BILINEAR | more accurate, but slower RGB image scaling algorithm

- © 1998-2014 by Bill Spitzak and others.